- Qt 5.15
- Qt Core
- C++ Classes
- QItemSelectionRange
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QItemSelectionRange

The following members of class QItemSelectionRange are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QItemSelectionRange | intersect(const QItemSelectionRange &other) const

## Member Function Documentation

### QItemSelectionRange QItemSelectionRange::intersect(const QItemSelectionRange &other) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use intersected(other) instead.